-------------------------------------
-- Throw Grenade Info Script
-- By Fraizeraust, U.S.G.N. ID 99488
-- Date: 27 - 12 - 2016
-------------------------------------

-- Core & Functions

function GrenadeThrowInfo(id, weapon)

   local TeamMate = player( 0, 'team' .. player(id, 'team') .. 'living' )
   local PlayerName = player(id, 'name')
   local ColourText = string.char(169)

   if ( weapon == 51 ) then
      for _, TeamSquad in ipairs( TeamMate ) do
         msg2(TeamSquad, ColourText .. '255255255[Grenade Info]: ' .. PlayerName .. ' threw a ' .. ColourText .. '255000000HE Grenade')
      end
   elseif ( weapon == 52 ) then
      for _, TeamSquad in ipairs( TeamMate ) do
         msg2(TeamSquad, ColourText .. '255255255[Grenade Info]: ' .. PlayerName .. ' threw a ' .. ColourText .. '128128128Flashbang')
      end
   elseif ( weapon == 53 ) then
      for _, TeamSquad in ipairs( TeamMate ) do
         msg2(TeamSquad, ColourText .. '255255255[Grenade Info]: ' .. PlayerName .. ' threw a ' .. ColourText .. '000255000Smoke Grenade')
      end
   elseif ( weapon == 54 ) then
      for _, TeamSquad in ipairs( TeamMate ) do
         msg2(TeamSquad, ColourText .. '255255255[Grenade Info]: ' .. PlayerName .. ' threw a ' .. ColourText .. '128000000Flare')
      end
   end
end    

-- Hook(s)

addhook('projectile', 'GrenadeThrowInfo')